/*

 MinIMU-9-Arduino-AHRS
 Pololu MinIMU-9 + Arduino AHRS (Attitude and Heading Reference System)

 Copyright (c) 2011 Pololu Corporation.
 http://www.pololu.com/

 MinIMU-9-Arduino-AHRS is based on sf9domahrs by Doug Weibel and Jose Julio:
 http://code.google.com/p/sf9domahrs/

 sf9domahrs is based on ArduIMU v1.5 by Jordi Munoz and William Premerlani, Jose
 Julio and Doug Weibel:
 http://code.google.com/p/ardu-imu/

 MinIMU-9-Arduino-AHRS is free software: you can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published by the
 Free Software Foundation, either version 3 of the License, or (at your option)
 any later version.

 MinIMU-9-Arduino-AHRS is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
 more details.

 You should have received a copy of the GNU Lesser General Public License along
 with MinIMU-9-Arduino-AHRS. If not, see <http://www.gnu.org/licenses/>.

 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <pololu/orangutan.h>

#include "MinIMU9AHRS.h"
//						serial_send_blocking(USB_COMM, send_buffer, strlen(send_buffer));

void print_str(char* str)
{
	serial_send_blocking(USB_COMM, str, strlen(str));
}

void print_line(char* str)
{
	static char* crlf = "\r\n";

	print_str(str);
	serial_send_blocking(USB_COMM, crlf, strlen(crlf));
}

void print_number(int num)
{
	char buf[6];
	itoa(num, buf, 10);
	print_line(buf);
}

long convert_to_dec(float x)
{
	return x * 10000000;
}

void printdata(void)
{
	char str[200];

#if PRINT_EULER == 1
#if 0
	strcpy(str, "!ANG:");
	itoa(ToDeg(roll), buf, 10);
	strcat(str, buf);
	strcat(str,",");
	itoa(ToDeg(pitch), buf, 10);
	strcat(str, buf);
	strcat(str,",");
	itoa(ToDeg(yaw), buf, 10);
	strcat(str, buf);
#else
	sprintf(str, "!ANG:% 3.1f,% 3.1f,% 3.1f", (double)ToDeg(roll), (double)ToDeg(pitch), (double)ToDeg(yaw));
#endif
	serial_send_blocking(USB_COMM, str, strlen(str));
#endif
#if PRINT_ANALOGS==1
	sprintf(str, ",AN:% 5d,% 5d,% 5d,% 5d,% 5d,% 5d,% 4.1f,% 4.1f,% 4.1f",
			AN[0],AN[1],AN[2],AN[3],AN[4],AN[5], (double)c_magnetom_x, (double)c_magnetom_y, (double)c_magnetom_z);
	serial_send_blocking(USB_COMM, str, strlen(str));
#endif
#if PRINT_DCM == 1
	sprintf(str, ",DCM: % 2.0f,% 2.0f,% 2.0f,% 2.0f,% 2.0f,% 2.0f,% 2.0f,% 2.0f,% 2.0f",
			(double)DCM_Matrix[0][0],(double)DCM_Matrix[0][1],(double)DCM_Matrix[0][2],
			(double)DCM_Matrix[1][0],(double)DCM_Matrix[1][1],(double)DCM_Matrix[1][2],
			(double)DCM_Matrix[2][0],(double)DCM_Matrix[2][1],(double)DCM_Matrix[2][2]);
	serial_send_blocking(USB_COMM, str, strlen(str));
#endif
	static char* crlf = "\r\n";
	serial_send_blocking(USB_COMM, crlf, strlen(crlf));
}


